ShellCheck-0.4.1: Shell script analysis tool

Safe Haskell | None
Language | Haskell98

ShellCheck.Formatter.Format

# Documentation

data Formatter

Constructors

Formatter |
Fields header :: IO () onResult :: CheckResult -> String -> IO () onFailure :: FilePath -> ErrorMessage -> IO () footer :: IO ()

lineNo :: PositionedComment -> Integer

colNo :: PositionedComment -> Integer

codeNo :: PositionedComment -> Code

messageText :: PositionedComment -> String

severityText :: PositionedComment -> String

makeNonVirtual :: [PositionedComment] -> String -> [PositionedComment]